SELECT ProductName, SupplierID
FROM Products
WHERE SupplierID IN (SELECT SupplierID
            FROM Suppliers
            WHERE CompanyName IN 
                ('Exotic Liquids', 'Grandma Kelly''s Homestead', 'Tokyo Traders'));

SELECT ProductName
FROM Products
WHERE CategoryID = (SELECT CategoryID
            FROM Categories
            WHERE CategoryName = 'Seafood');

SELECT CompanyName
FROM Suppliers
WHERE SupplierID IN (SELECT SupplierID
            FROM Products
            WHERE CategoryID = 8); 

SELECT CompanyName
FROM Suppliers
WHERE SupplierID IN (SELECT SupplierID
            FROM Products
            WHERE CategoryID = (SELECT CategoryID
                        FROM Categories
                        WHERE CategoryName = 'Seafood'));